%define name agbrowser
%define version 0.96
%define release 2mdk


Summary:   AudioGalaxy Browser for KDE 2
Name:      %name
Version:   %version
Release:   %release
License: GPL
Url:	http://www.geocities.com/uallloveme/

Group:     Networking/File transfer
Source:    %name-%version.tar.bz2
BuildRoot: %_tmppath/%name-buildroot

%description
This is a KDE program that handles:

running the Audiogalaxy client
restarting it if it dies or crashes
providing a place to edit user information
providing a place to edit share information
an integrated AudioGalaxy web browser
a special Mp3 share manager profile for Konqueror

%prep
rm -rf $RPM_BUILD_ROOT

%setup

./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --disable-rpath

%build

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/agbrowser"\
title="AgBrowser"\
longtitle="Audio Galaxy Browser"\
needs="x11"\
section="Networking/File transfer"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%_bindir/*
%_datadir/applnk/Internet/*
%_datadir/icons/hicolor/16x16/actions/*
%_datadir/icons/hicolor/32x32/actions/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*
%_menudir/*

%changelog 
* Tue Jun 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.96-2mdk
- new url

* Wed Apr 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.96-1mdk
- updated to 0.96

* Tue Apr 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- updated to 0.95

* Fri Apr 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- new in contribs
